require 'rails_helper'

RSpec.describe "settings/menu_item_sets/index", type: :view do
  before(:each) do
    assign(:settings_menu_item_sets, [
      Settings::MenuItemSet.create!(
        :item_set_id => nil,
        :menu_item_id => nil
      ),
      Settings::MenuItemSet.create!(
        :item_set_id => nil,
        :menu_item_id => nil
      )
    ])
  end

  it "renders a list of settings/menu_item_sets" do
    render
    assert_select "tr>td", :text => nil.to_s, :count => 2
    assert_select "tr>td", :text => nil.to_s, :count => 2
  end
end
